> ## Documentation Index
> Fetch the complete documentation index at: https://statsig-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Autotune



## OpenAPI

````yaml api-reference/statsig_openapi.json get /console/v1/autotunes
openapi: 3.0.0
info:
  title: Console API
  description: >-
    The "Console API" is the CRUD API for performing the actions offered on
    console.statsig.com without needing to go through the web UI.

    If you have any feature requests, drop on in to our [slack
    channel](https://www.statsig.com/slack) and let us know.

    <br /><br />

    <b>Authorization</b>

    <br />

    All requests must include the **STATSIG-API-KEY** field in the header. The
    value should be a **Console API Key** which can be created in the Project
    Settings on
    [console.statsig.com/api_keys](https://console.statsig.com/api_keys)

    <br /><br />

    <b>Rate Limiting</b>

    <br />

    Requests to the Console API are limited to <code>~ 100reqs / 10secs and ~
    900reqs / 15 mins</code>.

    <br /><br />

    <b>Keyboard Search</b>

    <br />

    Use <code>Ctrl/Cmd + K</code> to search for specific endpoints.
  version: 20240601.0.0
  contact: {}
servers:
  - url: https://statsigapi.net
security: []
tags: []
paths:
  /console/v1/autotunes:
    get:
      tags:
        - Autotunes
      summary: List Autotune
      parameters:
        - name: limit
          required: false
          in: query
          description: Results per page
          schema:
            example: 10
            oneOf:
              - type: string
              - type: number
            type: integer
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            example: 1
            oneOf:
              - type: string
              - type: number
            type: integer
        - name: x-respect-review-settings
          in: header
          description: Optional header to respect review settings for mutation endpoints.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Autotune Experiments listed successfully.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginationResponseWithMessage'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/AutotuneExperimentDto'
                example:
                  message: Autotune Experiments listed successfully.
                  data:
                    - id: test_autotune_exp
                      name: test_autotune_exp
                      description: dsdsdsd test
                      idType: userID
                      lastModifierID: 24hiIXz1maFaDwtYEetv2i
                      lastModifiedTime: 1716324033128
                      lastModifierName: jairo Garciga
                      lastModifierEmail: jairo@statsig.com
                      creatorID: 5sgBiiuoBX4fscrWdCXVma
                      createdTime: 1688072516890
                      creatorName: Samuel Kitono
                      creatorEmail: samuel@statsig.com
                      targetApps: []
                      holdoutIDs: []
                      tags: []
                      team: null
                      isStarted: false
                      variants:
                        - name: test_12
                          id: 7eOW6aXU7F07KxrggOrAdy
                          json:
                            user:
                              id: 12345
                              name: Jane Doe
                              email: jane.doe@example.com
                              isActive: true
                              roles:
                                - admin
                                - editor
                                - subscriber
                            posts:
                              - id: 1
                                title: Introduction to JSON5
                                content: >-
                                  JSON5 is a superset of JSON that aims to be
                                  easier for humans to write and maintain.
                                tags:
                                  - json5
                                  - json
                                  - javascript
                                comments:
                                  - id: 101
                                    author: John Smith
                                    content: Great post! Very informative.
                                    likes: 5
                                  - id: 102
                                    author: Alice Johnson
                                    content: I found this very helpful. Thanks!
                                    likes: 3
                              - id: 2
                                title: Advanced JSON5 Features
                                content: >-
                                  Explore the advanced features of JSON5,
                                  including comments, trailing commas, and more.
                                tags:
                                  - json5
                                  - advanced
                                  - features
                                comments:
                                  - id: 201
                                    author: Bob Brown
                                    content: >-
                                      I didn't know JSON5 could do this.
                                      Amazing!
                                    likes: 8
                            settings:
                              theme: dark
                              notificationsEnabled: true
                              language: en-US
                              layout:
                                header: true
                                footer: true
                                sidebar: collapsed
                            metadata:
                              version: 1.0.0
                              author: Jane Doe
                              lastUpdated: '2024-05-21T10:00:00Z'
                        - name: var1
                          id: 7eOW6cCWzX9C3WZbRWndwA
                          json: {}
                        - name: control
                          id: 7GVLLJOBETDYXLn00FXFuQ
                          json: {}
                      successEvent: add_to_cart
                      successEventValue: ''
                      explorationWindow: 24hrs
                      attributionWindow: 2hrs
                      winnerThreshold: 95%
                      winner: null
                  pagination:
                    itemsPerPage: 100
                    pageNumber: 1
                    totalItems: 1
                    nextPage: null
                    previousPage: null
                    all: /console/v1/autotunes
              example:
                message: Autotune Experiments listed successfully.
                data:
                  - id: test_autotune_exp
                    name: test_autotune_exp
                    description: dsdsdsd test
                    idType: userID
                    lastModifierID: 24hiIXz1maFaDwtYEetv2i
                    lastModifiedTime: 1716324033128
                    lastModifierName: jairo Garciga
                    lastModifierEmail: jairo@statsig.com
                    creatorID: 5sgBiiuoBX4fscrWdCXVma
                    createdTime: 1688072516890
                    creatorName: Samuel Kitono
                    creatorEmail: samuel@statsig.com
                    targetApps: []
                    holdoutIDs: []
                    tags: []
                    team: null
                    isStarted: false
                    variants:
                      - name: test_12
                        id: 7eOW6aXU7F07KxrggOrAdy
                        json:
                          user:
                            id: 12345
                            name: Jane Doe
                            email: jane.doe@example.com
                            isActive: true
                            roles:
                              - admin
                              - editor
                              - subscriber
                          posts:
                            - id: 1
                              title: Introduction to JSON5
                              content: >-
                                JSON5 is a superset of JSON that aims to be
                                easier for humans to write and maintain.
                              tags:
                                - json5
                                - json
                                - javascript
                              comments:
                                - id: 101
                                  author: John Smith
                                  content: Great post! Very informative.
                                  likes: 5
                                - id: 102
                                  author: Alice Johnson
                                  content: I found this very helpful. Thanks!
                                  likes: 3
                            - id: 2
                              title: Advanced JSON5 Features
                              content: >-
                                Explore the advanced features of JSON5,
                                including comments, trailing commas, and more.
                              tags:
                                - json5
                                - advanced
                                - features
                              comments:
                                - id: 201
                                  author: Bob Brown
                                  content: I didn't know JSON5 could do this. Amazing!
                                  likes: 8
                          settings:
                            theme: dark
                            notificationsEnabled: true
                            language: en-US
                            layout:
                              header: true
                              footer: true
                              sidebar: collapsed
                          metadata:
                            version: 1.0.0
                            author: Jane Doe
                            lastUpdated: '2024-05-21T10:00:00Z'
                      - name: var1
                        id: 7eOW6cCWzX9C3WZbRWndwA
                        json: {}
                      - name: control
                        id: 7GVLLJOBETDYXLn00FXFuQ
                        json: {}
                    successEvent: add_to_cart
                    successEventValue: ''
                    explorationWindow: 24hrs
                    attributionWindow: 2hrs
                    winnerThreshold: 95%
                    winner: null
                pagination:
                  itemsPerPage: 100
                  pageNumber: 1
                  totalItems: 1
                  nextPage: null
                  previousPage: null
                  all: /console/v1/autotunes
      security:
        - STATSIG-API-KEY: []
components:
  schemas:
    PaginationResponseWithMessage:
      type: object
      properties:
        message:
          type: string
          description: A simple string explaining the result of the operation.
        data:
          description: Array of results returned by pagination limit.
          type: array
          items:
            type: object
        pagination:
          description: Pagination metadata for checking if there is next page for example.
          allOf:
            - $ref: '#/components/schemas/PaginationResponseMetadataDto'
      required:
        - message
        - data
        - pagination
    AutotuneExperimentDto:
      type: object
      properties:
        description:
          type: string
          description: Detailed description of the configuration’s purpose.
        variants:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: Variant name
              json:
                description: Variant JSON data
              id:
                type: string
                description: >-
                  The name that was originally given to the autotune on creation
                  but formatted as an ID ("A Autotune" -> "a_autotune").
            required:
              - name
              - json
              - id
        successEvent:
          type: string
          description: The event you are trying to optimize for.
        successEventValue:
          type: string
          description: >-
            The value that should come with the event for it to be considered
            successful.
        explorationWindow:
          type: string
          enum:
            - 1hr
            - 24hr
            - 48hr
            - '1'
            - '24'
            - '48'
            - 1hrs
            - 24hrs
            - 48hrs
          description: >-
            The initial time period where Autotune will equally split the
            traffic.
        attributionWindow:
          type: string
          enum:
            - 1hr
            - 2hr
            - 4hr
            - 24hr
            - 1hrs
            - 2hrs
            - 4hrs
            - 24hrs
            - '1'
            - '2'
            - '4'
            - '24'
          description: >-
            The maximum duration between the exposure and success event that
            counts as a success.
        winnerThreshold:
          type: string
          enum:
            - 80%
            - 90%
            - 95%
            - 98%
            - 99%
          description: >-
            The "probability of best" threshold a variant needs to achieve for
            Autotune to declare it the winner, stop collecting data, and direct
            all traffic.
        metadataField:
          type: string
          description: >-
            Metadata field containing the numeric value to optimize for. If this
            field is null, autotune optimizes for the existence of a follow-up
            event. This is only used for contextual autotunes.
        higherIsBetter:
          type: boolean
          description: >-
            Whether to optimize for an increase or decrease in the metadata
            field value. Default is true. This is only used for contextual
            autotunes.
        isContextual:
          type: boolean
          description: Whether this is a contextual autotune
        id:
          type: string
          description: ID
        name:
          type: string
          description: Optional name for the configuration.
        idType:
          type: string
          description: Type of ID
        lastModifierID:
          type: string
          nullable: true
          description: ID of the last modifier.
        lastModifiedTime:
          type: number
          nullable: true
          description: Time of the last modification.
        lastModifierEmail:
          type: string
          nullable: true
          description: Email of the last modifier.
        lastModifierName:
          type: string
          nullable: true
          description: Name of the last modifier.
        creatorID:
          type: string
          nullable: true
          description: ID of the user who created the entity.
        createdTime:
          type: number
          description: Timestamp when the entity was created.
        creatorName:
          type: string
          nullable: true
          description: Name of the creator.
        creatorEmail:
          type: string
          nullable: true
          description: Email of the creator.
        tags:
          type: array
          items:
            type: string
          description: Optional tags for categorization.
        targetApps:
          type: array
          items:
            type: string
          description: List of target applications associated with this configuration.
        holdoutIDs:
          type: array
          items:
            type: string
          description: Holdouts applied to this configuration.
        team:
          type: string
          nullable: true
          description: Optional name for the responsible team.
        teamID:
          type: string
          nullable: true
          description: Optional ID of the responsible team.
        version:
          type: number
          description: Version number
        isStarted:
          type: boolean
          description: Is the autotune experiment currently running.
        winner:
          type: object
          properties:
            id:
              type: string
              description: The Statsig UserID of the last modifier of this autotune.
            name:
              type: string
              description: The Statsig Username of the last modifier of this autotune.
          required:
            - id
            - name
          nullable: true
      required:
        - description
        - variants
        - successEvent
        - successEventValue
        - explorationWindow
        - attributionWindow
        - winnerThreshold
        - id
        - idType
        - lastModifierID
        - lastModifiedTime
        - lastModifierEmail
        - lastModifierName
        - creatorID
        - createdTime
        - creatorName
        - creatorEmail
        - isStarted
        - winner
    PaginationResponseMetadataDto:
      type: object
      properties:
        itemsPerPage:
          type: number
        pageNumber:
          type: number
        nextPage:
          type: string
          nullable: true
        previousPage:
          type: string
          nullable: true
        totalItems:
          type: number
        all:
          type: string
      required:
        - itemsPerPage
        - pageNumber
        - nextPage
        - previousPage
  securitySchemes:
    STATSIG-API-KEY:
      type: apiKey
      name: STATSIG-API-KEY
      in: header

````